跳到主要内容
版本:v2.5.x

AddPrivilegesToGroup()

This operation adds privileges to the specified privilege group.

Go
func (c *Client) AddPrivilegesToGroup(ctx context.Context, option AddPrivilegeToGroupOption, callOptions ...grpc.CallOption) error

Request Parameters​

Parameter

Description

Type

ctx

Context for the current call to work.

context.Context

option

Optional parameters of the methods.

AddPrivilegesToGroupOption

callOptions

Optional parameters for calling the methods.

grpc.CallOption

AddPrivilegeToGroupOption​

This is an interface type. The addPrivilegesToGroupOption struct type implements this interface type. You can use NewAddPrivilegesToGroupOption to get the concrete implementation.

NewAddPrivilegesToGroupOption​

The signature of the NewAddPrivilegesToGroupOption is as follows:

Go
func NewAddPrivilegesToGroupOption(groupName string, privileges ...string) *addPrivilegeToGroupOption

Parameter

Description

Type

groupName

The name of the target privilege group.

string

privileges

The privileges to add into the above group.

For details, refer to Grant Privileges.

...string

grpc.CallOption​

This interface provided by the gRPC Go library allows you to specify additional options or configurations when making requests. For possible implementations of this interface, refer to this file.

Return​

Null

Example​